#!/bin/sh
SCRIPTDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
cd "$SCRIPTDIR"

clear
echo $SCRIPTDIR

echo "Suspending Miredo and TunTap services..."
sudo launchctl unload /Library/LaunchDaemons/miredo.plist
sudo killall -9 miredo
sudo /Library/StartupItems/tun/tun stop
sudo /Library/StartupItems/tap/tap stop
sudo kextunload -b foo.tun
sudo kextunload -b foo.tap
sudo killall System\ Preferences

echo "Installing TunTap Package..."
sudo installer -pkg "$SCRIPTDIR/tuntap/tuntap_20111101.pkg" -target /

echo "Installing Miredo and TunTap for Intel x86_64..."
sudo xattr -c -r "$SCRIPTDIR/Install/"
sudo ditto "$SCRIPTDIR/Install" /

echo "Fixing Permissions..."
sudo chown root:wheel /Library/LaunchDaemons/miredo.plist /usr/sbin/miredo /etc/miredo/miredo.conf /usr/bin/teredo-mire /usr/sbin/miredo-server
sudo chmod 755 /Library/LaunchDaemons/miredo.plist /usr/sbin/miredo /etc/miredo/miredo.conf /usr/bin/teredo-mire /usr/sbin/miredo-server

echo "\nSymlinking Miredo configuration file..."
sudo ln -s /etc/miredo/miredo.conf /etc/

echo "Resuming Miredo and TunTap services..."
sudo /Library/StartupItems/tun/tun start
sudo /Library/StartupItems/tap/tap start
sleep 1
sudo launchctl load /Library/LaunchDaemons/miredo.plist

open "$SCRIPTDIR/Miredo.prefPane"

echo "\nMiredo x64 has been installed!"